use snafu::prelude::*;
//use snafu::*;

use crate::config::ConfigError;

#[derive(Debug, Snafu)]
#[snafu(visibility(pub))]
/// The possible error cases
pub enum Error {
    #[snafu(display("Configuration file reading or parsing error"))]
    Config { source: ConfigError },
    #[snafu(display("Torrent/magnet reading or parsing error"))]
    Imdl { source: imdl::error::Error },
    #[snafu(display("qBittorrent API communication error"))]
    Api { source: std::io::Error },
    #[snafu(display("Internal qBittorrent API error"))]
    InternalApi { source: qbittorrent_web_api::api_impl::Error },
    //GenericIOError(std::io::Error),
}
